javax.websocket

## Interface ClientEndpointConfig

- All Superinterfaces:
    EndpointConfig

      public interface ClientEndpointConfig
      extends EndpointConfig

  The ClientEndpointConfig is a special kind of endpoint configuration object that contains web socket configuration information specific only to client endpoints. Developers deploying programmatic client endpoints can create instances of this configuration by using a `ClientEndpointConfig.Builder`. Developers can override some of the configuration operations by providing an implementation of `ClientEndpointConfig.Configurator`.
  Author:
    dannycoward

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ClientEndpointConfig.Builder` The ClientEndpointConfig.Builder is a class used for creating `ClientEndpointConfig` objects for the purposes of deploying a client endpoint.
    `static class` | `ClientEndpointConfig.Configurator` The Configurator class may be extended by developers who want to provide custom configuration algorithms, such as intercepting the opening handshake, or providing arbitrary methods and algorithms that can be accessed from each endpoint instance configured with this configurator.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientEndpointConfig.Configurator` | `getConfigurator()` Return the custom configurator for this configuration.
    `List<Extension>` | `getExtensions()` Return the extensions, in order of preference, favorite first, that this client would like to use for its sessions.
    `List<String>` | `getPreferredSubprotocols()` Return the ordered list of sub protocols a client endpoint would like to use, in order of preference, favorite first that this client would like to use for its sessions.

    - ### Methods inherited from interface javax.websocket.EndpointConfig

      `getDecoders, getEncoders, getUserProperties`

- - ### Method Detail

    - #### getPreferredSubprotocols

          List<String> getPreferredSubprotocols()

      Return the ordered list of sub protocols a client endpoint would like to use, in order of preference, favorite first that this client would like to use for its sessions. This list is used to generate the Sec-WebSocket-Protocol header in the opening handshake for clients using this configuration. The first protocol name is the most preferred. See Client Opening Handshake.
      Returns:
        the list of the preferred subprotocols, the empty list if there are none

    - #### getExtensions

          List<Extension> getExtensions()

      Return the extensions, in order of preference, favorite first, that this client would like to use for its sessions. These are the extensions that will be used to populate the Sec-WebSocket-Extensions header in the opening handshake for clients using this configuration. The first extension in the list is the most preferred extension. See Negotiating Extensions.
      Returns:
        the list of extensions, the empty list if there are none.

    - #### getConfigurator

          ClientEndpointConfig.Configurator getConfigurator()

      Return the custom configurator for this configuration. If the developer did not provide one, the platform default configurator is returned.
      Returns:
        the configurator in use with this configuration.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.